## smtpping 1.1.3

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(smtpping)
SET(TARGET_NAME "smtpping")

ADD_EXECUTABLE(${TARGET_NAME}
	smtpping.cpp
	resolver.cpp
)

IF("${CMAKE_SYSTEM}" MATCHES "Darwin")
	ADD_DEFINITIONS(-DBIND_8_COMPAT)
ENDIF()

TARGET_LINK_LIBRARIES(${TARGET_NAME}
	resolv
	pthread
)

IF (NOT DEFINED BIN_INSTALL_DIR)
SET(BIN_INSTALL_DIR "bin")
ENDIF(NOT DEFINED BIN_INSTALL_DIR)
IF (NOT DEFINED MAN_INSTALL_DIR)
SET(MAN_INSTALL_DIR "man")
ENDIF(NOT DEFINED MAN_INSTALL_DIR)

INSTALL(TARGETS ${TARGET_NAME} DESTINATION ${BIN_INSTALL_DIR})
INSTALL(FILES smtpping.1 DESTINATION ${MAN_INSTALL_DIR}/man1)

=== debian/changelog ===
smtpping (1.1.3-2) unstable; urgency=medium

  * Bumps debhelper version to 11 
  * Bumps Standards-Version to 4.1.5
  * Updates VCS fields

 -- Ana Custura <ana@netstat.org.uk>  Tue, 24 Jul 2018 13:19:13 +0100

smtpping (1.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #824662)  

 -- Ana Custura <ana@netstat.org.uk>  Sat, 18 Jun 2016 14:58:59 +0100

=== debian/control ===
Source: smtpping
Section: net
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>=11), cmake
Standards-Version: 4.1.5
Homepage: https://github.com/halonsecurity/smtpping
Vcs-Git: https://salsa.debian.org/ineteng-team/smtpping.git
Vcs-Browser: https://salsa.debian.org/ineteng-team/smtpping

Package: smtpping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SMTP benchmarking and measurement tool 
 A simple, portable tool for measuring SMTP server delay, 
 delay variation and throughput. Its options (v4 or
 v6, variable ping sizes etc), make it a quick and lightweight
 tool for testing SMTP server metrics.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@

## smtpping 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,14 @@
 ENDIF()
 
 TARGET_LINK_LIBRARIES(${TARGET_NAME}
-	resolv
 	pthread
 )
+
+IF (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
+TARGET_LINK_LIBRARIES(${TARGET_NAME}
+	resolv
+)
+ENDIF()
 
 IF (NOT DEFINED BIN_INSTALL_DIR)
 SET(BIN_INSTALL_DIR "bin")

=== debian/changelog ===
smtpping (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4
  * Update to Debhelper 12
  * Remove patch applied upstream
  * Add Rules-Requires-Root: no to debian/control
  * Remove trailing whitespace

 -- Ana Custura <ana@netstat.org.uk>  Mon, 17 Jan 2022 12:38:26 +0000

=== debian/control ===
Source: smtpping
Section: net
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper-compat (=13), cmake
Standards-Version: 4.1.5
Homepage: https://github.com/halonsecurity/smtpping
Vcs-Git: https://salsa.debian.org/ineteng-team/smtpping.git
Vcs-Browser: https://salsa.debian.org/ineteng-team/smtpping
Rules-Requires-Root: no

Package: smtpping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SMTP benchmarking and measurement tool
 A simple, portable tool for measuring SMTP server delay,
 delay variation and throughput. Its options (v4 or
 v6, variable ping sizes etc), make it a quick and lightweight
 tool for testing SMTP server metrics.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,4 @@
 
 
 %:
-	dh $@ 
-
-
-
+	dh $@

=== debian/watch ===
version=4

   https://github.com/halonsecurity/smtpping/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
